- Home
- API Enriched
- Authentication
- web
- Bulk Revoke API credentials.
Bulk Revoke API credentials.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/bulk_revoke/api_credentials';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"expired_selector":{"all":{},"credential_type":"API_CERTIFICATE"},"name_selector":{"names":["example"]}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/bulk_revoke/api_credentials \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "expired_selector": { "all": {}, "credential_type": "API_CERTIFICATE" }, "name_selector": { "names": [ "example" ] } }'It is used to revoke multiple API credentials. This API would disable the credentials and mark them for deletion. The actual removal of objects would be done in the background. Depending upon if user is admin or not, following behaviour is supported:-
- for admins : user has the access to DELETE their own as well as credentials created by others
- for non-admins: user can only DELETE their own credentials.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Request format for revoking multiple API credentials.
object
object
object
object
It contains the names of credentials which needs to be deleted.
Required: YES.
Responses
Section titled “Responses”A successful response.
Response format for revoking multiple API credentials.
object
Names of credentials that are not marked as DELETE due to some error.
Names of credentials that are successfully marked for deletion.
Error message about the failures of bulk revoke of credentials.
Examplegenerated
{ "credentials_failed": [ "example" ], "credentials_marked_for_deletion": [ "example" ], "error_message": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example